## apache-arrow 6.0.0

=== cpp/CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

cmake_minimum_required(VERSION 3.5)
message(STATUS "Building using CMake version: ${CMAKE_VERSION}")

# Compiler id for Apple Clang is now AppleClang.
# https://www.cmake.org/cmake/help/latest/policy/CMP0025.html
cmake_policy(SET CMP0025 NEW)

# Only interpret if() arguments as variables or keywords when unquoted.
# https://www.cmake.org/cmake/help/latest/policy/CMP0054.html
cmake_policy(SET CMP0054 NEW)

# Support new if() IN_LIST operator.
# https://www.cmake.org/cmake/help/latest/policy/CMP0057.html
cmake_policy(SET CMP0057 NEW)

# Adapted from Apache Kudu: https://github.com/apache/kudu/commit/bd549e13743a51013585
# Honor visibility properties for all target types.
# https://www.cmake.org/cmake/help/latest/policy/CMP0063.html
cmake_policy(SET CMP0063 NEW)

# RPATH settings on macOS do not affect install_name.
# https://cmake.org/cmake/help/latest/policy/CMP0068.html
if(POLICY CMP0068)
  cmake_policy(SET CMP0068 NEW)
endif()

# find_package() uses <PackageName>_ROOT variables.
# https://cmake.org/cmake/help/latest/policy/CMP0074.html
if(POLICY CMP0074)
  cmake_policy(SET CMP0074 NEW)
endif()

set(ARROW_VERSION "6.0.0")

string(REGEX MATCH "^[0-9]+\\.[0-9]+\\.[0-9]+" ARROW_BASE_VERSION "${ARROW_VERSION}")

# if no build build type is specified, default to release builds
if(NOT DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE
      Release
      CACHE STRING "Choose the type of build.")
endif()
string(TOLOWER ${CMAKE_BUILD_TYPE} LOWERCASE_BUILD_TYPE)
string(TOUPPER ${CMAKE_BUILD_TYPE} UPPERCASE_BUILD_TYPE)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules")

# this must be included before the project() command, because of the way
# vcpkg (ab)uses CMAKE_TOOLCHAIN_FILE to inject its logic into CMake
if(ARROW_DEPENDENCY_SOURCE STREQUAL "VCPKG")
  include(Usevcpkg)
endif()

project(arrow VERSION "${ARROW_BASE_VERSION}")

set(ARROW_VERSION_MAJOR "${arrow_VERSION_MAJOR}")
set(ARROW_VERSION_MINOR "${arrow_VERSION_MINOR}")
set(ARROW_VERSION_PATCH "${arrow_VERSION_PATCH}")
if(ARROW_VERSION_MAJOR STREQUAL ""
   OR ARROW_VERSION_MINOR STREQUAL ""
   OR ARROW_VERSION_PATCH STREQUAL "")
  message(FATAL_ERROR "Failed to determine Arrow version from '${ARROW_VERSION}'")
endif()

# The SO version is also the ABI version
if(ARROW_VERSION_MAJOR STREQUAL "0")
  # Arrow 0.x.y => SO version is "x", full SO version is "x.y.0"
  set(ARROW_SO_VERSION "${ARROW_VERSION_MINOR}")
  set(ARROW_FULL_SO_VERSION "${ARROW_SO_VERSION}.${ARROW_VERSION_PATCH}.0")
else()
  # Arrow 1.x.y => SO version is "10x", full SO version is "10x.y.0"
  math(EXPR ARROW_SO_VERSION "${ARROW_VERSION_MAJOR} * 100 + ${ARROW_VERSION_MINOR}")
  set(ARROW_FULL_SO_VERSION "${ARROW_SO_VERSION}.${ARROW_VERSION_PATCH}.0")
endif()

message(STATUS "Arrow version: "
               "${ARROW_VERSION_MAJOR}.${ARROW_VERSION_MINOR}.${ARROW_VERSION_PATCH} "
               "(full: '${ARROW_VERSION}')")
message(STATUS "Arrow SO version: ${ARROW_SO_VERSION} (full: ${ARROW_FULL_SO_VERSION})")

set(ARROW_SOURCE_DIR ${PROJECT_SOURCE_DIR})
set(ARROW_BINARY_DIR ${PROJECT_BINARY_DIR})

include(CMakePackageConfigHelpers)
include(CMakeParseArguments)
include(ExternalProject)
include(FindPackageHandleStandardArgs)

include(GNUInstallDirs)

set(BUILD_SUPPORT_DIR "${CMAKE_SOURCE_DIR}/build-support")

set(ARROW_CMAKE_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")
set(ARROW_DOC_DIR "share/doc/${PROJECT_NAME}")

set(ARROW_LLVM_VERSIONS
    "13.0"
    "12.0"
    "11.1"
    "11.0"
    "10"
    "9"
    "8"
    "7")
list(GET ARROW_LLVM_VERSIONS 0 ARROW_LLVM_VERSION_PRIMARY)
string(REGEX REPLACE "^([0-9]+)(\\..+)?" "\\1" ARROW_LLVM_VERSION_PRIMARY_MAJOR
                     "${ARROW_LLVM_VERSION_PRIMARY}")

file(READ ${CMAKE_CURRENT_SOURCE_DIR}/../.env ARROW_ENV)
string(REGEX MATCH "CLANG_TOOLS=[^\n]+" ARROW_ENV_CLANG_TOOLS_VERSION "${ARROW_ENV}")
string(REGEX REPLACE "^CLANG_TOOLS=" "" ARROW_CLANG_TOOLS_VERSION
                     "${ARROW_ENV_CLANG_TOOLS_VERSION}")
string(REGEX REPLACE "^([0-9]+)(\\..+)?" "\\1" ARROW_CLANG_TOOLS_VERSION_MAJOR
                     "${ARROW_CLANG_TOOLS_VERSION}")

if(APPLE)
  find_program(BREW_BIN brew)
  if(BREW_BIN)
    execute_process(COMMAND ${BREW_BIN} --prefix
                            "llvm@${ARROW_LLVM_VERSION_PRIMARY_MAJOR}"
                    OUTPUT_VARIABLE LLVM_BREW_PREFIX
                    OUTPUT_STRIP_TRAILING_WHITESPACE)
    if(NOT LLVM_BREW_PREFIX)
      execute_process(COMMAND ${BREW_BIN} --prefix llvm
                      OUTPUT_VARIABLE LLVM_BREW_PREFIX
                      OUTPUT_STRIP_TRAILING_WHITESPACE)
    endif()

    execute_process(COMMAND ${BREW_BIN} --prefix "llvm@${ARROW_CLANG_TOOLS_VERSION_MAJOR}"
                    OUTPUT_VARIABLE CLANG_TOOLS_BREW_PREFIX
                    OUTPUT_STRIP_TRAILING_WHITESPACE)
    if(NOT CLANG_TOOLS_BREW_PREFIX)
      execute_process(COMMAND ${BREW_BIN} --prefix llvm
                      OUTPUT_VARIABLE CLANG_TOOLS_BREW_PREFIX
                      OUTPUT_STRIP_TRAILING_WHITESPACE)
    endif()
  endif()
endif()

if(WIN32 AND NOT MINGW)
  # This is used to handle builds using e.g. clang in an MSVC setting.
  set(MSVC_TOOLCHAIN TRUE)
else()
  set(MSVC_TOOLCHAIN FALSE)
endif()

find_package(ClangTools)
find_package(InferTools)
if("$ENV{CMAKE_EXPORT_COMPILE_COMMANDS}" STREQUAL "1"
   OR CLANG_TIDY_FOUND
   OR INFER_FOUND)
  # Generate a Clang compile_commands.json "compilation database" file for use
  # with various development tools, such as Vim's YouCompleteMe plugin.
  # See http://clang.llvm.org/docs/JSONCompilationDatabase.html
  set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
endif()

# ----------------------------------------------------------------------
# cmake options
include(DefineOptions)

# Needed for linting targets, etc.
if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
  find_package(PythonInterp)
else()
  # Use the first Python installation on PATH, not the newest one
  set(Python3_FIND_STRATEGY "LOCATION")
  # On Windows, use registry last, not first
  set(Python3_FIND_REGISTRY "LAST")
  # On macOS, use framework last, not first
  set(Python3_FIND_FRAMEWORK "LAST")

  find_package(Python3)
  set(PYTHON_EXECUTABLE ${Python3_EXECUTABLE})
endif()

if(ARROW_USE_CCACHE)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    message(STATUS "Using ccache: ${CCACHE_FOUND}")
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ${CCACHE_FOUND})
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ${CCACHE_FOUND})
    # ARROW-3985: let ccache preserve C++ comments, because some of them may be
    # meaningful to the compiler
    set(ENV{CCACHE_COMMENTS} "1")
  endif(CCACHE_FOUND)
endif()

if(ARROW_USE_PRECOMPILED_HEADERS AND ${CMAKE_VERSION} VERSION_LESS "3.16.0")
  message(WARNING "Precompiled headers need CMake 3.16.0 or later, disabling")
  set(ARROW_USE_PRECOMPILED_HEADERS OFF)
endif()

if(ARROW_OPTIONAL_INSTALL)
  # Don't make the "install" target depend on the "all" target
  set(CMAKE_SKIP_INSTALL_ALL_DEPENDENCY true)

  set(INSTALL_IS_OPTIONAL OPTIONAL)
endif()

#
# "make lint" target
#
if(NOT ARROW_VERBOSE_LINT)
  set(ARROW_LINT_QUIET "--quiet")
endif()

if(NOT LINT_EXCLUSIONS_FILE)
  # source files matching a glob from a line in this file
  # will be excluded from linting (cpplint, clang-tidy, clang-format)
  set(LINT_EXCLUSIONS_FILE ${BUILD_SUPPORT_DIR}/lint_exclusions.txt)
endif()

find_program(CPPLINT_BIN
             NAMES cpplint cpplint.py
             HINTS ${BUILD_SUPPORT_DIR})
message(STATUS "Found cpplint executable at ${CPPLINT_BIN}")

add_custom_target(lint
                  ${PYTHON_EXECUTABLE}
                  ${BUILD_SUPPORT_DIR}/run_cpplint.py
                  --cpplint_binary
                  ${CPPLINT_BIN}
                  --exclude_globs
                  ${LINT_EXCLUSIONS_FILE}
                  --source_dir
                  ${CMAKE_CURRENT_SOURCE_DIR}
                  ${ARROW_LINT_QUIET})

#
# "make format" and "make check-format" targets
#
if(${CLANG_FORMAT_FOUND})
  # runs clang format and updates files in place.
  add_custom_target(format
                    ${PYTHON_EXECUTABLE}
                    ${BUILD_SUPPORT_DIR}/run_clang_format.py
                    --clang_format_binary
                    ${CLANG_FORMAT_BIN}
                    --exclude_globs
                    ${LINT_EXCLUSIONS_FILE}
                    --source_dir
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    --fix
                    ${ARROW_LINT_QUIET})

  # runs clang format and exits with a non-zero exit code if any files need to be reformatted
  add_custom_target(check-format
                    ${PYTHON_EXECUTABLE}
                    ${BUILD_SUPPORT_DIR}/run_clang_format.py
                    --clang_format_binary
                    ${CLANG_FORMAT_BIN}
                    --exclude_globs
                    ${LINT_EXCLUSIONS_FILE}
                    --source_dir
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${ARROW_LINT_QUIET})
endif()

add_custom_target(lint_cpp_cli ${PYTHON_EXECUTABLE} ${BUILD_SUPPORT_DIR}/lint_cpp_cli.py
                               ${CMAKE_CURRENT_SOURCE_DIR}/src)

if(ARROW_LINT_ONLY)
  message("ARROW_LINT_ONLY was specified, this is only a partial build directory")
  return()
endif()

#
# "make clang-tidy" and "make check-clang-tidy" targets
#
if(${CLANG_TIDY_FOUND})
  # TODO check to make sure .clang-tidy is being respected

  # runs clang-tidy and attempts to fix any warning automatically
  add_custom_target(clang-tidy
                    ${PYTHON_EXECUTABLE}
                    ${BUILD_SUPPORT_DIR}/run_clang_tidy.py
                    --clang_tidy_binary
                    ${CLANG_TIDY_BIN}
                    --exclude_globs
                    ${LINT_EXCLUSIONS_FILE}
                    --compile_commands
                    ${CMAKE_BINARY_DIR}/compile_commands.json
                    --source_dir
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    --fix
                    ${ARROW_LINT_QUIET})

  # runs clang-tidy and exits with a non-zero exit code if any errors are found.
  add_custom_target(check-clang-tidy
                    ${PYTHON_EXECUTABLE}
                    ${BUILD_SUPPORT_DIR}/run_clang_tidy.py
                    --clang_tidy_binary
                    ${CLANG_TIDY_BIN}
                    --exclude_globs
                    ${LINT_EXCLUSIONS_FILE}
                    --compile_commands
                    ${CMAKE_BINARY_DIR}/compile_commands.json
                    --source_dir
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${ARROW_LINT_QUIET})
endif()

if(UNIX)
  add_custom_target(iwyu ${BUILD_SUPPORT_DIR}/iwyu/iwyu.sh)
  add_custom_target(iwyu-all ${BUILD_SUPPORT_DIR}/iwyu/iwyu.sh all)
endif(UNIX)

#
# Set up various options
#

if(ARROW_BUILD_BENCHMARKS
   OR ARROW_BUILD_TESTS
   OR ARROW_BUILD_INTEGRATION
   OR ARROW_FUZZING)
  set(ARROW_JSON ON)
  set(ARROW_TESTING ON)
endif()

if(ARROW_GANDIVA)
  set(ARROW_WITH_RE2 ON)
endif()

if(ARROW_CUDA
   OR ARROW_FLIGHT
   OR ARROW_PARQUET
   OR ARROW_BUILD_TESTS
   OR ARROW_BUILD_BENCHMARKS)
  set(ARROW_IPC ON)
endif()

if(ARROW_ENGINE)
  set(ARROW_COMPUTE ON)
endif()

=== r/DESCRIPTION ===
Package: arrow
Title: Integration to 'Apache' 'Arrow'
Version: 6.0.0
Authors@R: c(
    person("Neal", "Richardson", email = "neal@ursalabs.org", role = c("aut", "cre")),
    person("Ian", "Cook", email = "ianmcook@gmail.com", role = c("aut")),
    person("Nic", "Crane", email = "thisisnic@gmail.com", role = c("aut")),
    person("Jonathan", "Keane", email = "jkeane@gmail.com", role = c("aut")),
    person("Romain", "Fran\u00e7ois", email = "romain@rstudio.com", role = c("aut"), comment = c(ORCID = "0000-0002-2444-4226")),
    person("Jeroen", "Ooms", email = "jeroen@berkeley.edu", role = c("aut")),
    person("Javier", "Luraschi", email = "javier@rstudio.com", role = c("ctb")),
    person("Karl", "Dunkle Werner", email = "karldw@users.noreply.github.com", role = c("ctb"), comment = c(ORCID = "0000-0003-0523-7309")),
    person("Jeffrey", "Wong", email = "jeffreyw@netflix.com", role = c("ctb")),
    person("Apache Arrow", email = "dev@arrow.apache.org", role = c("aut", "cph"))
  )
Description: 'Apache' 'Arrow' <https://arrow.apache.org/> is a cross-language
    development platform for in-memory data. It specifies a standardized
    language-independent columnar memory format for flat and hierarchical data,
    organized for efficient analytic operations on modern hardware. This
    package provides an interface to the 'Arrow C++' library.
Depends: R (>= 3.3)
License: Apache License (>= 2.0)
URL: https://github.com/apache/arrow/, https://arrow.apache.org/docs/r/
BugReports: https://issues.apache.org/jira/projects/ARROW/issues
Encoding: UTF-8
Language: en-US
SystemRequirements: C++11; for AWS S3 support on Linux, libcurl and openssl (optional)
Biarch: true
Imports:
    assertthat,
    bit64 (>= 0.9-7),
    methods,
    purrr,
    R6,
    rlang,
    stats,
    tidyselect,
    utils,
    vctrs
Roxygen: list(markdown = TRUE, r6 = FALSE, load = "source")
RoxygenNote: 7.1.2
Config/testthat/edition: 3
VignetteBuilder: knitr
Suggests:
    DBI,
    dbplyr,
    decor,
    distro,
    dplyr,
    duckdb (>= 0.2.8),
    hms,
    knitr,
    lubridate,
    pkgload,
    reticulate,
    rmarkdown,
    stringi,
    stringr,
    testthat,
    tibble,
    withr
Collate:
    'arrowExports.R'
    'enums.R'
    'arrow-package.R'
    'type.R'
    'array-data.R'
    'arrow-datum.R'
    'array.R'
    'arrow-tabular.R'
    'buffer.R'
    'chunked-array.R'
    'io.R'
    'compression.R'
    'scalar.R'
    'compute.R'
    'config.R'
    'csv.R'
    'dataset.R'
    'dataset-factory.R'
    'dataset-format.R'
    'dataset-partition.R'
    'dataset-scan.R'
    'dataset-write.R'
    'deprecated.R'
    'dictionary.R'
    'dplyr-arrange.R'
    'dplyr-collect.R'
    'dplyr-count.R'
    'dplyr-distinct.R'
    'dplyr-eval.R'
    'dplyr-filter.R'
    'expression.R'
    'dplyr-functions.R'
    'dplyr-group-by.R'
    'dplyr-join.R'
    'dplyr-mutate.R'
    'dplyr-select.R'
    'dplyr-summarize.R'
    'record-batch.R'
    'table.R'
    'dplyr.R'
    'duckdb.R'
    'feather.R'
    'field.R'
    'filesystem.R'
    'flight.R'
    'install-arrow.R'
    'ipc_stream.R'
    'json.R'
    'memory-pool.R'
    'message.R'
    'metadata.R'
    'parquet.R'
    'python.R'
    'query-engine.R'
    'record-batch-reader.R'
    'record-batch-writer.R'
    'reexports-bit64.R'
    'reexports-tidyselect.R'
    'schema.R'
    'util.R'

=== debian/changelog ===
apache-arrow (6.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Krisztián Szűcs <szucs.krisztian@gmail.com>  Thu, 21 Oct 2021 19:01:59 -0000

=== debian/control ===
Source: apache-arrow
Section: devel
Priority: optional
Maintainer: Apache Arrow Developers <dev@arrow.apache.org>
Build-Depends:
  cmake,
  debhelper (>= 12),
  git,
  gobject-introspection,
  gtk-doc-tools,
  libboost-filesystem-dev,
  libboost-system-dev,
  libbrotli-dev,
  libbz2-dev,
  libc-ares-dev,
  libcurl4-openssl-dev,
  libgirepository1.0-dev,
  libgoogle-glog-dev,
#  libgrpc++-dev,
  libgtest-dev,
  liblz4-dev,
#  libprotoc-dev,
#  libprotobuf-dev,
  libre2-dev,
  libsnappy-dev,
  libssl-dev,
  libutf8proc-dev,
#  libzstd-dev,
  ninja-build,
  nvidia-cuda-toolkit [!arm64],
  pkg-config,
#  protobuf-compiler-grpc,
  python3-dev,
  python3-numpy,
  tzdata,
  zlib1g-dev
Build-Depends-Indep: libglib2.0-doc
Standards-Version: 3.9.8
Homepage: https://arrow.apache.org/

Package: libarrow600
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides C++ library files.

Package: libarrow-cuda600
Section: libs
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow600 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides C++ library files for CUDA support.

Package: libarrow-dataset600
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow600 (= ${binary:Version}),
  libparquet600 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides C++ library files for Dataset module.

Package: libarrow-flight600
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow600 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides C++ library files for Flight RPC system.

Package: libarrow-python600
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow600 (= ${binary:Version}),
  python3,
  python3-numpy
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides C++ library files for Python support.

Package: libarrow-python-flight600
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow-flight600 (= ${binary:Version}),
  libarrow-python600 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides C++ library files for Flight and Python support.

Package: libarrow-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow600 (= ${binary:Version}),
  libbrotli-dev,
  libbz2-dev,
  libc-ares-dev,
#  libgrpc++-dev,
  liblz4-dev,
  libre2-dev,
  libsnappy-dev,
  libssl-dev,
  libutf8proc-dev,
#  libzstd-dev,
#  protobuf-compiler-grpc,
  zlib1g-dev
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides C++ header files.

Package: libarrow-cuda-dev
Section: libdevel
Architecture: i386 amd64
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-dev (= ${binary:Version}),
  libarrow-cuda600 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides C++ header files for CUDA support.

Package: libarrow-dataset-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-dev (= ${binary:Version}),
  libarrow-dataset600 (= ${binary:Version}),
  libparquet-dev (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides C++ header files for dataset module.

Package: libarrow-flight-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-dev (= ${binary:Version}),
  libarrow-flight600 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides C++ header files for Flight RPC system.

Package: libarrow-python-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-dev (= ${binary:Version}),
  libarrow-python600 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides C++ header files for Python support.

Package: libarrow-python-flight-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-flight-dev (= ${binary:Version}),
  libarrow-python-dev (= ${binary:Version}),
  libarrow-python-flight600 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides C++ header files for Flight and Python support.

Package: libgandiva600
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow600 (= ${binary:Version})
Description: Gandiva is a toolset for compiling and evaluating expressions
 on Arrow Data.
 .
 This package provides C++ library files.

Package: libgandiva-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-dev (= ${binary:Version}),
  libgandiva600 (= ${binary:Version})
Description: Gandiva is a toolset for compiling and evaluating expressions
 on Arrow Data.
 .
 This package provides C++ header files.

Package: libplasma600
Section: libs
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow-cuda600 (= ${binary:Version})
Description: Plasma is an in-memory object store and cache for big data.
 .
 This package provides C++ library files to connect plasma-store-server.

Package: plasma-store-server
Section: utils
Architecture: i386 amd64
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libplasma600 (= ${binary:Version})
Description: Plasma is an in-memory object store and cache for big data.
 .
 This package provides plasma-store-server.

Package: libplasma-dev
Section: libdevel
Architecture: i386 amd64
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-cuda-dev (= ${binary:Version}),
  libplasma600 (= ${binary:Version})
Description: Plasma is an in-memory object store and cache for big data.
 .
 This package provides C++ header files.

Package: libparquet600
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Parquet is a columnar storage format
 .
 This package provides C++ library files to process Apache Parquet format.

Package: libparquet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-dev (= ${binary:Version}),
  libparquet600 (= ${binary:Version})
Description: Apache Parquet is a columnar storage format
 .
 This package provides C++ header files.

Package: libarrow-glib600
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow600 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides GLib based library files.

Package: gir1.2-arrow-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
  ${gir:Depends},
  ${misc:Depends}
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides GObject Introspection typelib files.

Package: libarrow-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libglib2.0-dev,
  libarrow-dev (= ${binary:Version}),
  libarrow-glib600 (= ${binary:Version}),
  gir1.2-arrow-1.0 (= ${binary:Version})
Suggests: libarrow-glib-doc
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides GLib based header files.

Package: libarrow-glib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
  ${misc:Depends}
Recommends: libglib2.0-doc
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides documentations.

Package: libarrow-cuda-glib600
Section: libs
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow-glib600 (= ${binary:Version}),
  libarrow-cuda600 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides GLib based library files for CUDA support.

Package: gir1.2-arrow-cuda-1.0
Section: introspection
Architecture: i386 amd64
Multi-Arch: same
Depends:
  ${gir:Depends},
  ${misc:Depends}
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides GObject Introspection typelib files for CUDA support.

Package: libarrow-cuda-glib-dev
Section: libdevel
Architecture: i386 amd64
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-cuda-dev (= ${binary:Version}),
  libarrow-glib-dev (= ${binary:Version}),
  libarrow-cuda-glib600 (= ${binary:Version}),
  gir1.2-arrow-cuda-1.0 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides GLib based header files for CUDA support.

Package: libarrow-dataset-glib600
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow-glib600 (= ${binary:Version}),
  libarrow-dataset600 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides GLib based library files for dataset module.

Package: gir1.2-arrow-dataset-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
  ${gir:Depends},
  ${misc:Depends}
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides GObject Introspection typelib files for dataset module.

Package: libarrow-dataset-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-dataset-dev (= ${binary:Version}),
  libarrow-glib-dev (= ${binary:Version}),
  libarrow-dataset-glib600 (= ${binary:Version}),
  gir1.2-arrow-dataset-1.0 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides GLib based header files for dataset module.

Package: libarrow-dataset-glib-doc
Section: doc
Architecture: any
Multi-Arch: foreign
Depends:
  ${misc:Depends}
Recommends: libarrow-glib-doc
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides documentations for dataset module.

Package: libarrow-flight-glib600
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow-glib600 (= ${binary:Version}),
  libarrow-flight600 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides GLib based library files for Apache Arrow Flight.

Package: gir1.2-arrow-flight-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
  ${gir:Depends},
  ${misc:Depends}
Description: Apache Arrow is a data processing library for analysis
 .
 This package provides GObject Introspection typelib files for Apache Arrow
 Flight.

Package: libarrow-flight-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-flight-dev (= ${binary:Version}),
  libarrow-glib-dev (= ${binary:Version}),
  libarrow-flight-glib600 (= ${binary:Version}),
  gir1.2-arrow-flight-1.0 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 .

## apache-arrow 6.0.1

=== debian/changelog ===
apache-arrow (6.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Wed, 10 Nov 2021 02:04:48 -0000

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
   libre2-dev,
   libsnappy-dev,
   libssl-dev,
+  libthrift-dev,
   libutf8proc-dev,
 #  libzstd-dev,
   ninja-build,
@@ -134,6 +135,7 @@
   libre2-dev,
   libsnappy-dev,
   libssl-dev,
+  libthrift-dev,
   libutf8proc-dev,
 #  libzstd-dev,
 #  protobuf-compiler-grpc,
@@ -467,5 +469,3 @@
   libarrow-glib-dev (= ${binary:Version}),
   libarrow-flight-glib600 (= ${binary:Version}),
   gir1.2-arrow-flight-1.0 (= ${binary:Version})
-Description: Apache Arrow is a data processing library for analysis
- .

## apache-arrow 7.0.0

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
 Standards-Version: 3.9.8
 Homepage: https://arrow.apache.org/
 
-Package: libarrow600
+Package: libarrow700
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -51,71 +51,71 @@
  .
  This package provides C++ library files.
 
-Package: libarrow-cuda600
-Section: libs
-Architecture: i386 amd64
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow600 (= ${binary:Version})
+Package: libarrow-cuda700
+Section: libs
+Architecture: i386 amd64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow700 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for CUDA support.
 
-Package: libarrow-dataset600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow600 (= ${binary:Version}),
-  libparquet600 (= ${binary:Version})
+Package: libarrow-dataset700
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow700 (= ${binary:Version}),
+  libparquet700 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Dataset module.
 
-Package: libarrow-flight600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow600 (= ${binary:Version})
+Package: libarrow-flight700
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow700 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Flight RPC system.
 
-Package: libarrow-python600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow600 (= ${binary:Version}),
+Package: libarrow-python700
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow700 (= ${binary:Version}),
   python3,
   python3-numpy
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Python support.
 
-Package: libarrow-python-flight600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-flight600 (= ${binary:Version}),
-  libarrow-python600 (= ${binary:Version})
+Package: libarrow-python-flight700
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-flight700 (= ${binary:Version}),
+  libarrow-python700 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Flight and Python support.
@@ -126,7 +126,7 @@
 Multi-Arch: same
 Depends:
   ${misc:Depends},
-  libarrow600 (= ${binary:Version}),
+  libarrow700 (= ${binary:Version}),
   libbrotli-dev,
   libbz2-dev,
   libc-ares-dev,
@@ -151,7 +151,7 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libarrow-cuda600 (= ${binary:Version})
+  libarrow-cuda700 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for CUDA support.
@@ -163,7 +163,7 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libarrow-dataset600 (= ${binary:Version}),
+  libarrow-dataset700 (= ${binary:Version}),
   libparquet-dev (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -176,7 +176,7 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libarrow-flight600 (= ${binary:Version})
+  libarrow-flight700 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for Flight RPC system.
@@ -188,7 +188,7 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libarrow-python600 (= ${binary:Version})
+  libarrow-python700 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for Python support.
@@ -201,20 +201,20 @@
   ${misc:Depends},
   libarrow-flight-dev (= ${binary:Version}),
   libarrow-python-dev (= ${binary:Version}),
-  libarrow-python-flight600 (= ${binary:Version})
+  libarrow-python-flight700 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for Flight and Python support.
 
-Package: libgandiva600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow600 (= ${binary:Version})
+Package: libgandiva700
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow700 (= ${binary:Version})
 Description: Gandiva is a toolset for compiling and evaluating expressions
  on Arrow Data.
  .
@@ -227,21 +227,21 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libgandiva600 (= ${binary:Version})
+  libgandiva700 (= ${binary:Version})
 Description: Gandiva is a toolset for compiling and evaluating expressions
  on Arrow Data.
  .
  This package provides C++ header files.
 
-Package: libplasma600
-Section: libs
-Architecture: i386 amd64
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-cuda600 (= ${binary:Version})
+Package: libplasma700
+Section: libs
+Architecture: i386 amd64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-cuda700 (= ${binary:Version})
 Description: Plasma is an in-memory object store and cache for big data.
  .
  This package provides C++ library files to connect plasma-store-server.
@@ -253,7 +253,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libplasma600 (= ${binary:Version})
+  libplasma700 (= ${binary:Version})
 Description: Plasma is an in-memory object store and cache for big data.
  .
  This package provides plasma-store-server.
@@ -265,12 +265,12 @@
 Depends:
   ${misc:Depends},
   libarrow-cuda-dev (= ${binary:Version}),
-  libplasma600 (= ${binary:Version})
+  libplasma700 (= ${binary:Version})
 Description: Plasma is an in-memory object store and cache for big data.
  .
  This package provides C++ header files.
 
-Package: libparquet600
+Package: libparquet700
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -289,20 +289,20 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libparquet600 (= ${binary:Version})
+  libparquet700 (= ${binary:Version})
 Description: Apache Parquet is a columnar storage format
  .
  This package provides C++ header files.
 
-Package: libarrow-glib600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow600 (= ${binary:Version})
+Package: libarrow-glib700
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow700 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files.
@@ -326,7 +326,7 @@
   ${misc:Depends},
   libglib2.0-dev,
   libarrow-dev (= ${binary:Version}),
-  libarrow-glib600 (= ${binary:Version}),
+  libarrow-glib700 (= ${binary:Version}),
   gir1.2-arrow-1.0 (= ${binary:Version})
 Suggests: libarrow-glib-doc
 Description: Apache Arrow is a data processing library for analysis
@@ -344,16 +344,16 @@
  .
  This package provides documentations.
 
-Package: libarrow-cuda-glib600
-Section: libs
-Architecture: i386 amd64
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-glib600 (= ${binary:Version}),
-  libarrow-cuda600 (= ${binary:Version})
+Package: libarrow-cuda-glib700
+Section: libs
+Architecture: i386 amd64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-glib700 (= ${binary:Version}),
+  libarrow-cuda700 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for CUDA support.
@@ -377,22 +377,22 @@
   ${misc:Depends},
   libarrow-cuda-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-cuda-glib600 (= ${binary:Version}),
+  libarrow-cuda-glib700 (= ${binary:Version}),
   gir1.2-arrow-cuda-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based header files for CUDA support.
 
-Package: libarrow-dataset-glib600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-glib600 (= ${binary:Version}),
-  libarrow-dataset600 (= ${binary:Version})
+Package: libarrow-dataset-glib700
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-glib700 (= ${binary:Version}),
+  libarrow-dataset700 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for dataset module.
@@ -416,7 +416,7 @@
   ${misc:Depends},
   libarrow-dataset-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-dataset-glib600 (= ${binary:Version}),
+  libarrow-dataset-glib700 (= ${binary:Version}),
   gir1.2-arrow-dataset-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -433,16 +433,16 @@
  .
  This package provides documentations for dataset module.
 
-Package: libarrow-flight-glib600
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-glib600 (= ${binary:Version}),
-  libarrow-flight600 (= ${binary:Version})
+Package: libarrow-flight-glib700
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-glib700 (= ${binary:Version}),
+  libarrow-flight700 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for Apache Arrow Flight.
@@ -467,5 +467,5 @@
   ${misc:Depends},
   libarrow-flight-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-flight-glib600 (= ${binary:Version}),
+  libarrow-flight-glib700 (= ${binary:Version}),
   gir1.2-arrow-flight-1.0 (= ${binary:Version})
